Uploaded image for project: 'SonarQube'
  1. SonarQube
  2. SONAR-6716

Remove database migrations needed when coming from a version prior to 4.5

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 5.2
    • Component/s: Database
    • Labels:
      None

      Description

      Users who want to upgrade from 4.2 to 5.2 (for instance) will have to do it in 2 steps:

      • 4.2 to 4.5 LTS
      • 4.5 LTS to 5.2

      When the server is started from a version priori 4.5, the server must fail with a clear message.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              simon.brandhof Simon Brandhof (Inactive)
              Reporter:
              julien.lancelot Julien Lancelot
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Due:
                Created:
                Updated:
                Resolved: